Bug 1487476 - [abrt] kdialog: qt_message_fatal(): kdialog killed by signal 6
Summary: [abrt] kdialog: qt_message_fatal(): kdialog killed by signal 6
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kdialog
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c476bef310a4511dd7ea2109f43...
Keywords:
Depends On: 1370222
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-01 03:24 UTC by Kerry
Modified: 2018-05-29 11:27 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:27:55 UTC


Attachments (Terms of Use)
File: backtrace (23.87 KB, text/plain)
2017-09-01 03:24 UTC, Kerry
no flags Details
File: cgroup (242 bytes, text/plain)
2017-09-01 03:24 UTC, Kerry
no flags Details
File: core_backtrace (4.22 KB, text/plain)
2017-09-01 03:24 UTC, Kerry
no flags Details
File: cpuinfo (992 bytes, text/plain)
2017-09-01 03:24 UTC, Kerry
no flags Details
File: dso_list (13.05 KB, text/plain)
2017-09-01 03:24 UTC, Kerry
no flags Details
File: environ (5.47 KB, text/plain)
2017-09-01 03:25 UTC, Kerry
no flags Details
File: limits (1.29 KB, text/plain)
2017-09-01 03:25 UTC, Kerry
no flags Details
File: maps (58.19 KB, text/plain)
2017-09-01 03:25 UTC, Kerry
no flags Details
File: open_fds (140 bytes, text/plain)
2017-09-01 03:25 UTC, Kerry
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-09-01 03:25 UTC, Kerry
no flags Details
File: var_log_messages (514 bytes, text/plain)
2017-09-01 03:25 UTC, Kerry
no flags Details

Description Kerry 2017-09-01 03:24:44 UTC
Version-Release number of selected component:
kdialog-17.04.1-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        kdialog --geometry 200x200+100+2 --title Number of songs --passivepopup 100 /home/nice/Music/playlist.random.txt, 10
crash_function: qt_message_fatal
executable:     /usr/bin/kdialog
journald_cursor: s=e3a51f19659d4b4291fd98052a684b5c;i=4b5c;b=ad62d1414487439eb29953824092a271;m=1076a00f33;t=5581822a419f9;x=86d394ff53814af9
kernel:         4.12.5-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1682
 #3 QMessageLogger::fatal at global/qlogging.cpp:793
 #4 QXcbConnection::QXcbConnection at qxcbconnection.cpp:595
 #5 QXcbIntegration::QXcbIntegration at qxcbintegration.cpp:186
 #6 QXcbIntegrationPlugin::create at qxcbmain.cpp:56
 #7 QPlatformIntegrationFactory::create at kernel/qplatformintegrationfactory.cpp:71
 #8 init_platform at kernel/qguiapplication.cpp:1094
 #9 QGuiApplicationPrivate::createPlatformIntegration at kernel/qguiapplication.cpp:1257
 #10 QGuiApplicationPrivate::createEventDispatcher at kernel/qguiapplication.cpp:1274
 #11 QCoreApplicationPrivate::init at kernel/qcoreapplication.cpp:787

Comment 1 Kerry 2017-09-01 03:24:51 UTC
Created attachment 1320794 [details]
File: backtrace

Comment 2 Kerry 2017-09-01 03:24:53 UTC
Created attachment 1320795 [details]
File: cgroup

Comment 3 Kerry 2017-09-01 03:24:55 UTC
Created attachment 1320796 [details]
File: core_backtrace

Comment 4 Kerry 2017-09-01 03:24:57 UTC
Created attachment 1320797 [details]
File: cpuinfo

Comment 5 Kerry 2017-09-01 03:24:59 UTC
Created attachment 1320798 [details]
File: dso_list

Comment 6 Kerry 2017-09-01 03:25:01 UTC
Created attachment 1320799 [details]
File: environ

Comment 7 Kerry 2017-09-01 03:25:03 UTC
Created attachment 1320800 [details]
File: limits

Comment 8 Kerry 2017-09-01 03:25:06 UTC
Created attachment 1320801 [details]
File: maps

Comment 9 Kerry 2017-09-01 03:25:08 UTC
Created attachment 1320802 [details]
File: open_fds

Comment 10 Kerry 2017-09-01 03:25:10 UTC
Created attachment 1320803 [details]
File: proc_pid_status

Comment 11 Kerry 2017-09-01 03:25:12 UTC
Created attachment 1320804 [details]
File: var_log_messages

Comment 12 Rex Dieter 2017-09-01 15:22:43 UTC
 #3 QMessageLogger::fatal at global/qlogging.cpp:793


There was a fatal error logged, but apparently it wasn't included in the attached var_log_messages.

I'll guess it could be a connection refused message, and related to sddm bug #1370222

Comment 13 Fedora End Of Life 2018-05-03 08:03:00 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 11:27:55 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.